<script>
	import Vue from 'vue'
	export default {
		onLaunch: function() {
			console.log('App Launch')
			let that = this
			uni.getSystemInfo({
				success: function(e) {                  
					Vue.prototype.StatusBarHeight = e.statusBarHeight;
					let custom = uni.getMenuButtonBoundingClientRect();
					Vue.prototype.Custom = custom;
					Vue.prototype.CustomBarHeight = custom.height + (custom.top - e.statusBarHeight) * 2;
					Vue.prototype.BarPadding = custom.top;
					Vue.prototype.SafeAreaBottom = e.safeAreaInsets.top>20 && e.platform!='android' ? 28 : 0
					Vue.prototype.LRScreenWidth = e.screenWidth;
					Vue.prototype.LRScreenHeight = e.screenHeight;
				}
			})
			uni.hideShareMenu({});
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style>
	/*每个页面公共css */
</style>
